"use strict";
const common_vendor = require("../../../common/vendor.js");
const gen_Enums = require("../../../gen/Enums.js");
const WORKORDER_show_log_model = require("../model.js");
if (!Array) {
  const _easycom_hs_empty2 = common_vendor.resolveComponent("hs-empty");
  const _easycom_hs_enum_tag2 = common_vendor.resolveComponent("hs-enum-tag");
  const _easycom_up_steps_item2 = common_vendor.resolveComponent("up-steps-item");
  const _easycom_up_steps2 = common_vendor.resolveComponent("up-steps");
  (_easycom_hs_empty2 + _easycom_hs_enum_tag2 + _easycom_up_steps_item2 + _easycom_up_steps2)();
}
const _easycom_hs_empty = () => "../../../components/hs-empty/hs-empty.js";
const _easycom_hs_enum_tag = () => "../../../components/hs-enum-tag/hs-enum-tag.js";
const _easycom_up_steps_item = () => "../../../node-modules/uview-plus/components/u-steps-item/u-steps-item.js";
const _easycom_up_steps = () => "../../../node-modules/uview-plus/components/u-steps/u-steps.js";
if (!Math) {
  (_easycom_hs_empty + _easycom_hs_enum_tag + _easycom_up_steps_item + _easycom_up_steps)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "ProcessLogs",
  setup(__props) {
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k;
      return common_vendor.e({
        a: !((_c = (_b = (_a = common_vendor.unref(WORKORDER_show_log_model.useModel)) == null ? void 0 : _a.logsData) == null ? void 0 : _b.value) == null ? void 0 : _c.length)
      }, !((_f = (_e = (_d = common_vendor.unref(WORKORDER_show_log_model.useModel)) == null ? void 0 : _d.logsData) == null ? void 0 : _e.value) == null ? void 0 : _f.length) ? {} : {}, {
        b: common_vendor.f((_h = (_g = common_vendor.unref(WORKORDER_show_log_model.useModel)) == null ? void 0 : _g.logsData) == null ? void 0 : _h.value, (i, index, i0) => {
          return {
            a: "b1c8346e-3-" + i0 + "," + ("b1c8346e-2-" + i0),
            b: common_vendor.p({
              value: i == null ? void 0 : i.status,
              Enums: common_vendor.unref(gen_Enums.HouseWorkOrdersStatusEnum)
            }),
            c: common_vendor.t(i == null ? void 0 : i.description),
            d: common_vendor.f(i == null ? void 0 : i.attachments, (k, index2, i1) => {
              return {
                a: k == null ? void 0 : k.url,
                b: `attachment_${index2}`
              };
            }),
            e: common_vendor.t(i == null ? void 0 : i.created_at),
            f: `log_item_${index}`,
            g: "b1c8346e-2-" + i0 + ",b1c8346e-1"
          };
        }),
        c: common_vendor.p({
          direction: "column",
          dot: true,
          current: ((_k = (_j = (_i = common_vendor.unref(WORKORDER_show_log_model.useModel)) == null ? void 0 : _i.logsData) == null ? void 0 : _j.value) == null ? void 0 : _k.length) - 1
        })
      });
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-b1c8346e"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/WORKORDER/show_log/components/ProcessLogs.vue"]]);
wx.createComponent(Component);
